function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react'; // local imports

import { GetTheme } from 'quark-core';
import BaseWithText from '../Text';

var WarningButton = function WarningButton(_ref) {
  var unused = _extends({}, _ref);

  return React.createElement(GetTheme, null, function (_ref2) {
    var red = _ref2.red,
        lightRed = _ref2.lightRed,
        darkRed = _ref2.darkRed,
        white = _ref2.white;
    return React.createElement(BaseWithText, _extends({
      disabledColor: lightRed,
      defaultColor: red,
      activeColor: darkRed,
      textColor: white
    }, unused));
  });
};

export default WarningButton;