function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// external imports
import * as React from 'react';
import Text from "react-native-web/dist/exports/Text";
import StyleSheet from "react-native-web/dist/exports/StyleSheet";
import Animated from "react-native-web/dist/exports/Animated";
import Easing from "react-native-web/dist/exports/Easing";
import TouchableWithoutFeedback from "react-native-web/dist/exports/TouchableWithoutFeedback"; // local imports

import { LoaderBubbles } from 'quark-core';
import { baseDim } from 'quark-core/styles';
import { styles, containerSizes, sizeConstraints } from '../styles';

var BaseButton =
/*#__PURE__*/
function (_React$Component) {
  _inherits(BaseButton, _React$Component);

  function BaseButton() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, BaseButton);

    for (var _len = arguments.length, _args = new Array(_len), _key = 0; _key < _len; _key++) {
      _args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(BaseButton)).call.apply(_getPrototypeOf2, [this].concat(_args))); // initial state

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "_pressIn", function () {
      // if there is a press handler to deal with
      if (_this.props.onPressIn) {
        var _this$props;

        // call it
        (_this$props = _this.props).onPressIn.apply(_this$props, arguments);
      }

      _this.setState({
        animation: Animated.timing(_this.state.opacity, {
          toValue: 1,
          duration: 100
        })
      }, function () {
        return _this.state.animation && _this.state.animation.start();
      });
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "_pressOut", function () {
      // stop the keypress animation if its running
      // if there is a press handler to deal with
      if (_this.props.onPressOut) {
        var _this$props2;

        // call it
        (_this$props2 = _this.props).onPressOut.apply(_this$props2, arguments);
      } // start the animation to return to normal state


      Animated.timing(_this.state.opacity, {
        toValue: 0,
        duration: 150
      }).start();
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "_press", function () {
      // if there is a press handler to deal with
      if (_this.props.onPress) {
        var _this$props3;

        // call it
        var pressPromise = (_this$props3 = _this.props).onPress.apply(_this$props3, arguments); // if the press callback returned a promise


        if (pressPromise && pressPromise.then && pressPromise.catch) {
          // set the loading state to true
          _this.setState({
            loading: true
          }); // when the promise is resolved, set the loading state to false


          pressPromise.then(function () {
            return _this.setState({
              loading: false
            });
          }); // if the promise rejected we should also hide the loading indicator

          pressPromise.catch(function () {
            return _this.setState({
              loading: false
            });
          });
        }
      }
    });

    _this.state = {
      opacity: new Animated.Value(0),
      animation: null
    };
    return _this;
  }

  _createClass(BaseButton, [{
    key: "render",
    value: function render() {
      var _this$props4 = this.props,
          style = _this$props4.style,
          children = _this$props4.children,
          size = _this$props4.size,
          activeColor = _this$props4.activeColor,
          constrainSize = _this$props4.constrainSize,
          defaultColor = _this$props4.defaultColor,
          onPress = _this$props4.onPress,
          disabled = _this$props4.disabled,
          disabledColor = _this$props4.disabledColor,
          textColor = _this$props4.textColor,
          unused = _objectWithoutProperties(_this$props4, ["style", "children", "size", "activeColor", "constrainSize", "defaultColor", "onPress", "disabled", "disabledColor", "textColor"]); // pull out the used state


      var loading = this.state.loading;
      return React.createElement(TouchableWithoutFeedback, {
        onPressIn: disabled || loading ? null : this._pressIn,
        onPressOut: disabled || loading ? null : this._pressOut,
        onPress: disabled || loading ? null : this._press,
        accessible: !disabled
      }, React.createElement(Animated.View, _extends({}, unused, {
        style: [styles.container, containerSizes[size], constrainSize && sizeConstraints[size], disabled && styles.disabled, {
          backgroundColor: disabled ? disabledColor : this.state.opacity.interpolate({
            inputRange: [0, 1],
            outputRange: [defaultColor, activeColor || defaultColor]
          })
        }, style]
      }), this.state.loading ? React.createElement(LoaderBubbles, {
        color: textColor,
        radius: 5
      }) : children));
    }
  }]);

  return BaseButton;
}(React.Component);

_defineProperty(BaseButton, "defaultProps", {
  size: 'medium',
  constrainSize: true
});

export default BaseButton;