function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

// external imports
import React from 'react';
import { View, StyleSheet, Text, TouchableWithoutFeedback } from 'react-native'; // local imports

import { baseDim, grey2 } from 'quark-core/styles';
import { FlexRow } from '../FlexRow';

var AppBar = function AppBar(_ref) {
  var style = _ref.style,
      statusBarStyle = _ref.statusBarStyle,
      onPress = _ref.onPress,
      unused = _objectWithoutProperties(_ref, ["style", "statusBarStyle", "onPress"]);

  return React.createElement(FlexRow, _extends({
    justifyContent: "flex-start",
    alignItems: "center",
    style: [styles.container, style]
  }, unused));
};

var styles = StyleSheet.create({
  container: {
    height: 16 * baseDim,
    width: '100%',
    borderBottomWidth: 1,
    borderBottomColor: grey2,
    borderStyle: 'solid',
    paddingLeft: 5 * baseDim,
    paddingRight: 5 * baseDim
  }
});
export default AppBar;