function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// external imports
import * as React from 'react'; // local imports

import { Interval } from '../../timing';

var Cycle =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Cycle, _React$Component);

  function Cycle() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Cycle);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Cycle)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      index: 0,
      incrementCount: 0
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "render", function () {
      return React.createElement(React.Fragment, null, _this.props.active && React.createElement(Interval, {
        interval: _this.props.interval,
        key: _this.state.incrementCount
      }, _this._next(false)), _this.props.children({
        item: _this.props.items[_this.state.index],
        index: _this.state.index,
        next: _this._next(true),
        previous: _this._prev,
        goTo: _this._goTo
      }));
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "componentWillReceiveProps", function (_ref) {
      var items1 = _ref.items;
      // grab the current list of items
      var items2 = _this.props.items; // check if the items are the same

      if (JSON.stringify(items1) !== JSON.stringify(items2)) {
        // reset the cycle to the first element
        _this._goTo(0); // bump the increment count to reset the interval


        _this.setState(function (_ref2) {
          var incrementCount = _ref2.incrementCount;
          return {
            incrementCount: incrementCount + 1
          };
        });
      }
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "_next", function (increment) {
      return function () {
        return _this.setState(function (_ref3) {
          var index = _ref3.index,
              incrementCount = _ref3.incrementCount;
          return {
            index: index === _this.props.items.length - 1 ? 0 : index + 1,
            incrementCount: incrementCount + 1
          };
        });
      };
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "_prev", function () {
      return _this.setState(function (_ref4) {
        var index = _ref4.index,
            incrementCount = _ref4.incrementCount;
        return {
          index: index === 0 ? _this.props.items.length - 1 : index - 1,
          incrementCount: incrementCount + 1
        };
      });
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "_goTo", function (index) {
      return _this.setState(function (_ref5) {
        var incrementCount = _ref5.incrementCount;
        return {
          index: index,
          incrementCount: incrementCount + 1
        };
      });
    });

    return _this;
  }

  return Cycle;
}(React.Component);

_defineProperty(Cycle, "defaultProps", {
  active: true
});

export default Cycle;