function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// external imports
import { Platform } from 'react-native'; // local imports

import { baseDim } from './dims';
import { grey5, primaryColor } from './colors';
export var primaryFont = function primaryFont(fontSize) {
  return {
    fontWeight: '500',
    fontSize: fontSize,
    lineHeight: Platform.OS === 'web' ? 1.3 : 1.3 * fontSize,
    fontFamily: Platform.OS === 'web' ? '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"' : null,
    color: grey5
  };
};
export var h1 = _objectSpread({}, primaryFont(23));
export var h2 = _objectSpread({}, primaryFont(20));
export var h3 = _objectSpread({}, primaryFont(18));
export var title = _objectSpread({}, primaryFont(16));
export var subtitle = _objectSpread({}, primaryFont(14));
export var text = _objectSpread({}, primaryFont(14), {
  fontWeight: '300'
});
export var link = _objectSpread({}, primaryFont(14), {
  fontWeight: '300'
});
export var linkActive = _objectSpread({}, primaryFont(14), link, {
  fontWeight: '300'
});
export var monospace = _objectSpread({}, primaryFont(14), {
  fontFamily: 'monospace',
  fontWeight: '300'
});